ORG	$60000
LOAD	$60000

DC.B	'DOS',0
DC.L	0
DC.L	$00000370

S:	MOVE.B	#$02,$BFE001
	CLR.L	D0
	OR.L	$089C.W,D0
	OR.L	$06A0.W,D0
	OR.L	$06A4.W,D0
	TST.L	D0
	BNE	VIRUS

NOVIR:	MOVE.W	#$049F,$DFF180

	MOVE.L	$04.W,A6
	LEA	DOS(PC),A1
	JSR	-96(A6)
	MOVE.L	D0,A0
	MOVE.L	22(A0),A0
	MOVEQ	#0,D0
	RTS
DOS:	DC.B	'dos.library',0
VIRUS:	CLR.L	$089C.W
	CLR.L	$06A0.W
	CLR.L	$06A4.W
	MOVE.W	#$8001,$DFF096
	MOVE.L	#$DFF0A0,A0
	MOVE.L	#0,00(A0)
	MOVE.W	#$0080,04(A0)
	MOVE.W	#$0080,06(A0)
	MOVE.W	#$0040,08(A0)
	MOVE.L	#$FFFFFFFF,D0
LOOP:	MOVE.W	#$0F44,$DFF180
	MOVE.W	#$0F44,$DFF180
	DBF	D0,LOOP
	MOVE.L	$FC0004,$0080.W
	TRAP	#0

DC.B	'........'
DC.B	'Mahoney & Kaktus----------------Gnomic AntiVirr!'
DC.B	'---------------- -Not for sale- '
even
